# This file has been generated with `make models`: DO NOT EDIT!
from deepomatic.oef.utils.model_args import ModelArguments
from deepomatic.oef.nets import NetArchitecture

# This is organized in 2 levels: Dataset type / Pretraining type
model_list = {
    "image_classification": {
        NetArchitecture.PRETRAINING_NATURAL_RGB: {
            "image_classification.sigmoid.inception_resnet_v2.pretraining_natural_rgb": ModelArguments("Sigmoid - Inception ResNet v2", {'image_classification': {'Sigmoid': {'net': 11}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/inception_resnet_v2-classification-imagenet2012-2016_08_30.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 299, 'resize_method': 'BILINEAR', 'width': 299}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.inception_v1.pretraining_natural_rgb": ModelArguments("Sigmoid - Inception v1", {'image_classification': {'Sigmoid': {'net': 7}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/inception_v1-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.inception_v2.pretraining_natural_rgb": ModelArguments("Sigmoid - Inception v2", {'image_classification': {'Sigmoid': {'net': 8}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/inception_v2-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.0025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.inception_v3.pretraining_natural_rgb": ModelArguments("Sigmoid - Inception v3", {'image_classification': {'Sigmoid': {'net': 9}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/inception_v3-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 299, 'resize_method': 'BILINEAR', 'width': 299}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.inception_v4.pretraining_natural_rgb": ModelArguments("Sigmoid - Inception v4", {'image_classification': {'Sigmoid': {'net': 10}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/inception_v4-classification-imagenet2012-2016_09_09.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 299, 'resize_method': 'BILINEAR', 'width': 299}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.mobilenet_v1.pretraining_natural_rgb": ModelArguments("Sigmoid - MobileNet v1", {'image_classification': {'Sigmoid': {'net': 20}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/mobilenet_v1-classification-imagenet2012-2018_02_22.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.mobilenet_v1_025.pretraining_natural_rgb": ModelArguments("Sigmoid - MobileNet v1 025", {'image_classification': {'Sigmoid': {'net': 23}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/mobilenet_v1_025-classification-imagenet2012-2018_02_22.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.mobilenet_v1_050.pretraining_natural_rgb": ModelArguments("Sigmoid - MobileNet v1 050", {'image_classification': {'Sigmoid': {'net': 22}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/mobilenet_v1_050-classification-imagenet2012-2018_02_22.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.mobilenet_v2.pretraining_natural_rgb": ModelArguments("Sigmoid - MobileNet v2", {'image_classification': {'Sigmoid': {'net': 24}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/mobilenet_v2-classification-imagenet2012-2018_03_28.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.mobilenet_v2_140.pretraining_natural_rgb": ModelArguments("Sigmoid - MobileNet v2 140", {'image_classification': {'Sigmoid': {'net': 25}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/mobilenet_v2_140-classification-imagenet2012-2018_03_28.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.nasnet_large.pretraining_natural_rgb": ModelArguments("Sigmoid - NasNet Large", {'image_classification': {'Sigmoid': {'net': 28}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/nasnet_large-classification-imagenet2012-2017_10_04.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 331, 'resize_method': 'BILINEAR', 'width': 331}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.nasnet_mobile.pretraining_natural_rgb": ModelArguments("Sigmoid - NasNet Mobile", {'image_classification': {'Sigmoid': {'net': 27}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/nasnet_mobile-classification-imagenet2012-2017_10_04.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.pnasnet_large.pretraining_natural_rgb": ModelArguments("Sigmoid - PNasNet Large", {'image_classification': {'Sigmoid': {'net': 29}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/pnasnet_large-classification-imagenet2012-2017_12_13.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 331, 'resize_method': 'BILINEAR', 'width': 331}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.pnasnet_mobile.pretraining_natural_rgb": ModelArguments("Sigmoid - PNasNet Mobile", {'image_classification': {'Sigmoid': {'net': 30}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/pnasnet_mobile-classification-imagenet2012-2017_12_13.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_101_v1.pretraining_natural_rgb": ModelArguments("Sigmoid - ResNet 101 v1", {'image_classification': {'Sigmoid': {'net': 13}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_101_v1-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_101_v2.pretraining_natural_rgb": ModelArguments("Sigmoid - ResNet 101 v2", {'image_classification': {'Sigmoid': {'net': 17}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_101_v2-classification-imagenet2012-2017_04_14.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_152_v1.pretraining_natural_rgb": ModelArguments("Sigmoid - ResNet 152 v1", {'image_classification': {'Sigmoid': {'net': 14}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_152_v1-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_152_v2.pretraining_natural_rgb": ModelArguments("Sigmoid - ResNet 152 v2", {'image_classification': {'Sigmoid': {'net': 18}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_152_v2-classification-imagenet2012-2017_04_14.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.0025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_50_v1.pretraining_natural_rgb": ModelArguments("Sigmoid - ResNet 50 v1", {'image_classification': {'Sigmoid': {'net': 12}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_50_v1-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_50_v2.pretraining_natural_rgb": ModelArguments("Sigmoid - ResNet 50 v2", {'image_classification': {'Sigmoid': {'net': 16}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_50_v2-classification-imagenet2012-2017_04_14.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.vgg_16.pretraining_natural_rgb": ModelArguments("Sigmoid - VGG 16", {'image_classification': {'Sigmoid': {'net': 5}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/vgg_16-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.vgg_19.pretraining_natural_rgb": ModelArguments("Sigmoid - VGG 19", {'image_classification': {'Sigmoid': {'net': 6}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/vgg_19-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.0025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.inception_resnet_v2.pretraining_natural_rgb": ModelArguments("Softmax - Inception ResNet v2", {'image_classification': {'Softmax': {'net': 11}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/inception_resnet_v2-classification-imagenet2012-2016_08_30.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 299, 'resize_method': 'BILINEAR', 'width': 299}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.inception_v1.pretraining_natural_rgb": ModelArguments("Softmax - Inception v1", {'image_classification': {'Softmax': {'net': 7}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/inception_v1-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.inception_v2.pretraining_natural_rgb": ModelArguments("Softmax - Inception v2", {'image_classification': {'Softmax': {'net': 8}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/inception_v2-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.0025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.inception_v3.pretraining_natural_rgb": ModelArguments("Softmax - Inception v3", {'image_classification': {'Softmax': {'net': 9}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/inception_v3-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 299, 'resize_method': 'BILINEAR', 'width': 299}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.inception_v4.pretraining_natural_rgb": ModelArguments("Softmax - Inception v4", {'image_classification': {'Softmax': {'net': 10}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/inception_v4-classification-imagenet2012-2016_09_09.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 299, 'resize_method': 'BILINEAR', 'width': 299}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.mobilenet_v1.pretraining_natural_rgb": ModelArguments("Softmax - MobileNet v1", {'image_classification': {'Softmax': {'net': 20}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/mobilenet_v1-classification-imagenet2012-2018_02_22.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.mobilenet_v1_025.pretraining_natural_rgb": ModelArguments("Softmax - MobileNet v1 025", {'image_classification': {'Softmax': {'net': 23}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/mobilenet_v1_025-classification-imagenet2012-2018_02_22.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.mobilenet_v1_050.pretraining_natural_rgb": ModelArguments("Softmax - MobileNet v1 050", {'image_classification': {'Softmax': {'net': 22}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/mobilenet_v1_050-classification-imagenet2012-2018_02_22.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.mobilenet_v2.pretraining_natural_rgb": ModelArguments("Softmax - MobileNet v2", {'image_classification': {'Softmax': {'net': 24}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/mobilenet_v2-classification-imagenet2012-2018_03_28.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.mobilenet_v2_140.pretraining_natural_rgb": ModelArguments("Softmax - MobileNet v2 140", {'image_classification': {'Softmax': {'net': 25}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/mobilenet_v2_140-classification-imagenet2012-2018_03_28.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.nasnet_large.pretraining_natural_rgb": ModelArguments("Softmax - NasNet Large", {'image_classification': {'Softmax': {'net': 28}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/nasnet_large-classification-imagenet2012-2017_10_04.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 331, 'resize_method': 'BILINEAR', 'width': 331}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.nasnet_mobile.pretraining_natural_rgb": ModelArguments("Softmax - NasNet Mobile", {'image_classification': {'Softmax': {'net': 27}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/nasnet_mobile-classification-imagenet2012-2017_10_04.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.pnasnet_large.pretraining_natural_rgb": ModelArguments("Softmax - PNasNet Large", {'image_classification': {'Softmax': {'net': 29}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/pnasnet_large-classification-imagenet2012-2017_12_13.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 331, 'resize_method': 'BILINEAR', 'width': 331}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.pnasnet_mobile.pretraining_natural_rgb": ModelArguments("Softmax - PNasNet Mobile", {'image_classification': {'Softmax': {'net': 30}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/pnasnet_mobile-classification-imagenet2012-2017_12_13.tar.gz'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_101_v1.pretraining_natural_rgb": ModelArguments("Softmax - ResNet 101 v1", {'image_classification': {'Softmax': {'net': 13}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_101_v1-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_101_v2.pretraining_natural_rgb": ModelArguments("Softmax - ResNet 101 v2", {'image_classification': {'Softmax': {'net': 17}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_101_v2-classification-imagenet2012-2017_04_14.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_152_v1.pretraining_natural_rgb": ModelArguments("Softmax - ResNet 152 v1", {'image_classification': {'Softmax': {'net': 14}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_152_v1-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_152_v2.pretraining_natural_rgb": ModelArguments("Softmax - ResNet 152 v2", {'image_classification': {'Softmax': {'net': 18}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_152_v2-classification-imagenet2012-2017_04_14.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.0025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_50_v1.pretraining_natural_rgb": ModelArguments("Softmax - ResNet 50 v1", {'image_classification': {'Softmax': {'net': 12}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_50_v1-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_50_v2.pretraining_natural_rgb": ModelArguments("Softmax - ResNet 50 v2", {'image_classification': {'Softmax': {'net': 16}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_50_v2-classification-imagenet2012-2017_04_14.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.vgg_16.pretraining_natural_rgb": ModelArguments("Softmax - VGG 16", {'image_classification': {'Softmax': {'net': 5}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/vgg_16-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.vgg_19.pretraining_natural_rgb": ModelArguments("Softmax - VGG 19", {'image_classification': {'Softmax': {'net': 6}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/vgg_19-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.0025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}})
        },
        NetArchitecture.PRETRAINING_NONE: {
            "image_classification.sigmoid.alexnet.pretraining_none": ModelArguments("Sigmoid - AlexNet", {'image_classification': {'Sigmoid': {'net': 1}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.cifarnet.pretraining_none": ModelArguments("Sigmoid - CIFARNet", {'image_classification': {'Sigmoid': {'net': 2}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 32, 'resize_method': 'BILINEAR', 'width': 32}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.inception_resnet_v2.pretraining_none": ModelArguments("Sigmoid - Inception ResNet v2", {'image_classification': {'Sigmoid': {'net': 11}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 299, 'resize_method': 'BILINEAR', 'width': 299}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.inception_v1.pretraining_none": ModelArguments("Sigmoid - Inception v1", {'image_classification': {'Sigmoid': {'net': 7}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.inception_v2.pretraining_none": ModelArguments("Sigmoid - Inception v2", {'image_classification': {'Sigmoid': {'net': 8}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.0025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.inception_v3.pretraining_none": ModelArguments("Sigmoid - Inception v3", {'image_classification': {'Sigmoid': {'net': 9}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 299, 'resize_method': 'BILINEAR', 'width': 299}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.inception_v4.pretraining_none": ModelArguments("Sigmoid - Inception v4", {'image_classification': {'Sigmoid': {'net': 10}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 299, 'resize_method': 'BILINEAR', 'width': 299}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.lenet.pretraining_none": ModelArguments("Sigmoid - LeNet", {'image_classification': {'Sigmoid': {'net': 0}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 28, 'resize_method': 'BILINEAR', 'width': 28}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.mobilenet_v1.pretraining_none": ModelArguments("Sigmoid - MobileNet v1", {'image_classification': {'Sigmoid': {'net': 20}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.mobilenet_v1_025.pretraining_none": ModelArguments("Sigmoid - MobileNet v1 025", {'image_classification': {'Sigmoid': {'net': 23}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.mobilenet_v1_050.pretraining_none": ModelArguments("Sigmoid - MobileNet v1 050", {'image_classification': {'Sigmoid': {'net': 22}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.mobilenet_v1_075.pretraining_none": ModelArguments("Sigmoid - MobileNet v1 075", {'image_classification': {'Sigmoid': {'net': 21}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.mobilenet_v2.pretraining_none": ModelArguments("Sigmoid - MobileNet v2", {'image_classification': {'Sigmoid': {'net': 24}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.mobilenet_v2_140.pretraining_none": ModelArguments("Sigmoid - MobileNet v2 140", {'image_classification': {'Sigmoid': {'net': 25}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.nasnet_cifar.pretraining_none": ModelArguments("Sigmoid - NasNet CIFAR", {'image_classification': {'Sigmoid': {'net': 26}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 32, 'resize_method': 'BILINEAR', 'width': 32}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.nasnet_large.pretraining_none": ModelArguments("Sigmoid - NasNet Large", {'image_classification': {'Sigmoid': {'net': 28}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 331, 'resize_method': 'BILINEAR', 'width': 331}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.nasnet_mobile.pretraining_none": ModelArguments("Sigmoid - NasNet Mobile", {'image_classification': {'Sigmoid': {'net': 27}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.overfeat.pretraining_none": ModelArguments("Sigmoid - OverFeat", {'image_classification': {'Sigmoid': {'net': 3}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 231, 'resize_method': 'BILINEAR', 'width': 231}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.pnasnet_large.pretraining_none": ModelArguments("Sigmoid - PNasNet Large", {'image_classification': {'Sigmoid': {'net': 29}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 331, 'resize_method': 'BILINEAR', 'width': 331}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.pnasnet_mobile.pretraining_none": ModelArguments("Sigmoid - PNasNet Mobile", {'image_classification': {'Sigmoid': {'net': 30}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_101_v1.pretraining_none": ModelArguments("Sigmoid - ResNet 101 v1", {'image_classification': {'Sigmoid': {'net': 13}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_101_v2.pretraining_none": ModelArguments("Sigmoid - ResNet 101 v2", {'image_classification': {'Sigmoid': {'net': 17}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_152_v1.pretraining_none": ModelArguments("Sigmoid - ResNet 152 v1", {'image_classification': {'Sigmoid': {'net': 14}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_152_v2.pretraining_none": ModelArguments("Sigmoid - ResNet 152 v2", {'image_classification': {'Sigmoid': {'net': 18}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.0025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_200_v1.pretraining_none": ModelArguments("Sigmoid - ResNet 200 v1", {'image_classification': {'Sigmoid': {'net': 15}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_200_v2.pretraining_none": ModelArguments("Sigmoid - ResNet 200 v2", {'image_classification': {'Sigmoid': {'net': 19}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_50_v1.pretraining_none": ModelArguments("Sigmoid - ResNet 50 v1", {'image_classification': {'Sigmoid': {'net': 12}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.resnet_50_v2.pretraining_none": ModelArguments("Sigmoid - ResNet 50 v2", {'image_classification': {'Sigmoid': {'net': 16}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.vgg_16.pretraining_none": ModelArguments("Sigmoid - VGG 16", {'image_classification': {'Sigmoid': {'net': 5}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.vgg_19.pretraining_none": ModelArguments("Sigmoid - VGG 19", {'image_classification': {'Sigmoid': {'net': 6}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.0025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.sigmoid.vgg_a.pretraining_none": ModelArguments("Sigmoid - VGG A", {'image_classification': {'Sigmoid': {'net': 4}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.alexnet.pretraining_none": ModelArguments("Softmax - AlexNet", {'image_classification': {'Softmax': {'net': 1}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.cifarnet.pretraining_none": ModelArguments("Softmax - CIFARNet", {'image_classification': {'Softmax': {'net': 2}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 32, 'resize_method': 'BILINEAR', 'width': 32}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.inception_resnet_v2.pretraining_none": ModelArguments("Softmax - Inception ResNet v2", {'image_classification': {'Softmax': {'net': 11}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 299, 'resize_method': 'BILINEAR', 'width': 299}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.inception_v1.pretraining_none": ModelArguments("Softmax - Inception v1", {'image_classification': {'Softmax': {'net': 7}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.inception_v2.pretraining_none": ModelArguments("Softmax - Inception v2", {'image_classification': {'Softmax': {'net': 8}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.0025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.inception_v3.pretraining_none": ModelArguments("Softmax - Inception v3", {'image_classification': {'Softmax': {'net': 9}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 299, 'resize_method': 'BILINEAR', 'width': 299}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.inception_v4.pretraining_none": ModelArguments("Softmax - Inception v4", {'image_classification': {'Softmax': {'net': 10}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 299, 'resize_method': 'BILINEAR', 'width': 299}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.lenet.pretraining_none": ModelArguments("Softmax - LeNet", {'image_classification': {'Softmax': {'net': 0}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 28, 'resize_method': 'BILINEAR', 'width': 28}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.mobilenet_v1.pretraining_none": ModelArguments("Softmax - MobileNet v1", {'image_classification': {'Softmax': {'net': 20}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.mobilenet_v1_025.pretraining_none": ModelArguments("Softmax - MobileNet v1 025", {'image_classification': {'Softmax': {'net': 23}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.mobilenet_v1_050.pretraining_none": ModelArguments("Softmax - MobileNet v1 050", {'image_classification': {'Softmax': {'net': 22}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.mobilenet_v1_075.pretraining_none": ModelArguments("Softmax - MobileNet v1 075", {'image_classification': {'Softmax': {'net': 21}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.mobilenet_v2.pretraining_none": ModelArguments("Softmax - MobileNet v2", {'image_classification': {'Softmax': {'net': 24}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.mobilenet_v2_140.pretraining_none": ModelArguments("Softmax - MobileNet v2 140", {'image_classification': {'Softmax': {'net': 25}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.nasnet_cifar.pretraining_none": ModelArguments("Softmax - NasNet CIFAR", {'image_classification': {'Softmax': {'net': 26}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 32, 'resize_method': 'BILINEAR', 'width': 32}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.nasnet_large.pretraining_none": ModelArguments("Softmax - NasNet Large", {'image_classification': {'Softmax': {'net': 28}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 331, 'resize_method': 'BILINEAR', 'width': 331}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.nasnet_mobile.pretraining_none": ModelArguments("Softmax - NasNet Mobile", {'image_classification': {'Softmax': {'net': 27}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.overfeat.pretraining_none": ModelArguments("Softmax - OverFeat", {'image_classification': {'Softmax': {'net': 3}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 231, 'resize_method': 'BILINEAR', 'width': 231}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.pnasnet_large.pretraining_none": ModelArguments("Softmax - PNasNet Large", {'image_classification': {'Softmax': {'net': 29}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 331, 'resize_method': 'BILINEAR', 'width': 331}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.pnasnet_mobile.pretraining_none": ModelArguments("Softmax - PNasNet Mobile", {'image_classification': {'Softmax': {'net': 30}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_101_v1.pretraining_none": ModelArguments("Softmax - ResNet 101 v1", {'image_classification': {'Softmax': {'net': 13}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_101_v2.pretraining_none": ModelArguments("Softmax - ResNet 101 v2", {'image_classification': {'Softmax': {'net': 17}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_152_v1.pretraining_none": ModelArguments("Softmax - ResNet 152 v1", {'image_classification': {'Softmax': {'net': 14}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_152_v2.pretraining_none": ModelArguments("Softmax - ResNet 152 v2", {'image_classification': {'Softmax': {'net': 18}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.0025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_200_v1.pretraining_none": ModelArguments("Softmax - ResNet 200 v1", {'image_classification': {'Softmax': {'net': 15}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_200_v2.pretraining_none": ModelArguments("Softmax - ResNet 200 v2", {'image_classification': {'Softmax': {'net': 19}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_50_v1.pretraining_none": ModelArguments("Softmax - ResNet 50 v1", {'image_classification': {'Softmax': {'net': 12}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.resnet_50_v2.pretraining_none": ModelArguments("Softmax - ResNet 50 v2", {'image_classification': {'Softmax': {'net': 16}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.vgg_16.pretraining_none": ModelArguments("Softmax - VGG 16", {'image_classification': {'Softmax': {'net': 5}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.005, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.vgg_19.pretraining_none": ModelArguments("Softmax - VGG 19", {'image_classification': {'Softmax': {'net': 6}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.0025, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_classification.softmax.vgg_a.pretraining_none": ModelArguments("Softmax - VGG A", {'image_classification': {'Softmax': {'net': 4}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 224, 'resize_method': 'BILINEAR', 'width': 224}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}})
        }
    },
    "image_detection": {
        NetArchitecture.PRETRAINING_NATURAL_RGB: {
            "image_detection.faster_rcnn.inception_resnet_v2.pretraining_natural_rgb": ModelArguments("Faster RCNN - Inception ResNet v2", {'image_detection': {'Faster_RCNN': {'net': 11}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/inception_resnet_v2-faster_rcnn-coco-2018_01_28.tar.gz'}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0002, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.faster_rcnn.nasnet_large.pretraining_natural_rgb": ModelArguments("Faster RCNN - NasNet Large", {'image_detection': {'Faster_RCNN': {'net': 28}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/nasnet_large-faster_rcnn-coco-2018_01_28.tar.gz'}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.faster_rcnn.resnet_101_v1.pretraining_natural_rgb": ModelArguments("Faster RCNN - ResNet 101 v1", {'image_detection': {'Faster_RCNN': {'net': 13}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_101_v1-faster_rcnn-coco-2018_01_28.tar.gz'}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.faster_rcnn.resnet_50_v1.pretraining_natural_rgb": ModelArguments("Faster RCNN - ResNet 50 v1", {'image_detection': {'Faster_RCNN': {'net': 12}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_50_v1-faster_rcnn-coco-2018_01_28.tar.gz'}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.rfcn.resnet_101_v1.pretraining_natural_rgb": ModelArguments("RFCN - ResNet 101 v1", {'image_detection': {'RFCN': {'net': 13}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_101_v1-rfcn-coco-2018_01_28.tar.gz'}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd.inception_v2.pretraining_natural_rgb": ModelArguments("SSD - Inception v2", {'image_detection': {'SSD': {'net': 8}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/inception_v2-ssd-coco-2018_01_28.tar.gz'}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd.mobilenet_v1.pretraining_natural_rgb": ModelArguments("SSD - MobileNet v1", {'image_detection': {'SSD': {'net': 20}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/mobilenet_v1-ssd-coco-2018_01_28.tar.gz'}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd.mobilenet_v2.pretraining_natural_rgb": ModelArguments("SSD - MobileNet v2", {'image_detection': {'SSD': {'net': 24}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/mobilenet_v2-ssd-coco-2018_03_29.tar.gz'}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd.resnet_50_v1.pretraining_natural_rgb": ModelArguments("SSD - ResNet 50 v1", {'image_detection': {'SSD': {'net': 12}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/resnet_50_v1_fpn-ssd-coco-2018_07_03.tar.gz'}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd_lite.mobilenet_v2.pretraining_natural_rgb": ModelArguments("SSD Lite - MobileNet v2", {'image_detection': {'SSD_Lite': {'net': 24}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/mobilenet_v2-ssd_lite-coco-2018_05_09.tar.gz'}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.yolo_v2.darknet_19.pretraining_natural_rgb": ModelArguments("YOLO v2 - Darknet 19", {'image_detection': {'YOLO_v2': {'net': 31}}, 'pretrained_weights': 'pretrained_weights/darknet/natural_rgb/darknet19-yolo-voc2007.weights'}, {'batch_size': 64, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 416, 'resize_method': 'BILINEAR', 'width': 416}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.yolo_v3.darknet_53.pretraining_natural_rgb": ModelArguments("YOLO v3 - Darknet 53", {'image_detection': {'YOLO_v3': {'net': 32}}, 'pretrained_weights': 'pretrained_weights/darknet/natural_rgb/darknet53-yolo-imagenet2012.weights'}, {'batch_size': 64, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 416, 'resize_method': 'BILINEAR', 'width': 416}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}})
        },
        NetArchitecture.PRETRAINING_NONE: {
            "image_detection.faster_rcnn.inception_resnet_v2.pretraining_none": ModelArguments("Faster RCNN - Inception ResNet v2", {'image_detection': {'Faster_RCNN': {'net': 11}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0002, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.faster_rcnn.inception_v2.pretraining_none": ModelArguments("Faster RCNN - Inception v2", {'image_detection': {'Faster_RCNN': {'net': 8}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0002, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.faster_rcnn.nasnet_large.pretraining_none": ModelArguments("Faster RCNN - NasNet Large", {'image_detection': {'Faster_RCNN': {'net': 28}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.faster_rcnn.pnasnet_large.pretraining_none": ModelArguments("Faster RCNN - PNasNet Large", {'image_detection': {'Faster_RCNN': {'net': 29}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.faster_rcnn.resnet_101_v1.pretraining_none": ModelArguments("Faster RCNN - ResNet 101 v1", {'image_detection': {'Faster_RCNN': {'net': 13}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.faster_rcnn.resnet_152_v1.pretraining_none": ModelArguments("Faster RCNN - ResNet 152 v1", {'image_detection': {'Faster_RCNN': {'net': 14}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.faster_rcnn.resnet_50_v1.pretraining_none": ModelArguments("Faster RCNN - ResNet 50 v1", {'image_detection': {'Faster_RCNN': {'net': 12}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.rfcn.inception_resnet_v2.pretraining_none": ModelArguments("RFCN - Inception ResNet v2", {'image_detection': {'RFCN': {'net': 11}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.rfcn.inception_v2.pretraining_none": ModelArguments("RFCN - Inception v2", {'image_detection': {'RFCN': {'net': 8}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.rfcn.nasnet_large.pretraining_none": ModelArguments("RFCN - NasNet Large", {'image_detection': {'RFCN': {'net': 28}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.rfcn.pnasnet_large.pretraining_none": ModelArguments("RFCN - PNasNet Large", {'image_detection': {'RFCN': {'net': 29}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.rfcn.resnet_101_v1.pretraining_none": ModelArguments("RFCN - ResNet 101 v1", {'image_detection': {'RFCN': {'net': 13}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.rfcn.resnet_152_v1.pretraining_none": ModelArguments("RFCN - ResNet 152 v1", {'image_detection': {'RFCN': {'net': 14}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.rfcn.resnet_50_v1.pretraining_none": ModelArguments("RFCN - ResNet 50 v1", {'image_detection': {'RFCN': {'net': 12}}}, {'batch_size': 1, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'keep_aspect_ratio_resizer': {'convert_to_grayscale': False, 'max_dimension': 1024, 'min_dimension': 1024, 'pad_to_max_dimension': False, 'per_channel_pad_value': None, 'resize_method': 'BILINEAR'}}, 'initial_learning_rate': 0.0003, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd.inception_v2.pretraining_none": ModelArguments("SSD - Inception v2", {'image_detection': {'SSD': {'net': 8}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd.inception_v3.pretraining_none": ModelArguments("SSD - Inception v3", {'image_detection': {'SSD': {'net': 9}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd.mobilenet_v1.pretraining_none": ModelArguments("SSD - MobileNet v1", {'image_detection': {'SSD': {'net': 20}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd.mobilenet_v2.pretraining_none": ModelArguments("SSD - MobileNet v2", {'image_detection': {'SSD': {'net': 24}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd.resnet_101_v1.pretraining_none": ModelArguments("SSD - ResNet 101 v1", {'image_detection': {'SSD': {'net': 13}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd.resnet_152_v1.pretraining_none": ModelArguments("SSD - ResNet 152 v1", {'image_detection': {'SSD': {'net': 14}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd.resnet_50_v1.pretraining_none": ModelArguments("SSD - ResNet 50 v1", {'image_detection': {'SSD': {'net': 12}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd_lite.inception_v2.pretraining_none": ModelArguments("SSD Lite - Inception v2", {'image_detection': {'SSD_Lite': {'net': 8}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd_lite.inception_v3.pretraining_none": ModelArguments("SSD Lite - Inception v3", {'image_detection': {'SSD_Lite': {'net': 9}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd_lite.mobilenet_v1.pretraining_none": ModelArguments("SSD Lite - MobileNet v1", {'image_detection': {'SSD_Lite': {'net': 20}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd_lite.mobilenet_v2.pretraining_none": ModelArguments("SSD Lite - MobileNet v2", {'image_detection': {'SSD_Lite': {'net': 24}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd_lite.resnet_101_v1.pretraining_none": ModelArguments("SSD Lite - ResNet 101 v1", {'image_detection': {'SSD_Lite': {'net': 13}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd_lite.resnet_152_v1.pretraining_none": ModelArguments("SSD Lite - ResNet 152 v1", {'image_detection': {'SSD_Lite': {'net': 14}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.ssd_lite.resnet_50_v1.pretraining_none": ModelArguments("SSD Lite - ResNet 50 v1", {'image_detection': {'SSD_Lite': {'net': 12}}}, {'batch_size': 24, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [{'random_horizontal_flip': {'keypoint_flip_permutation': []}}], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 300, 'resize_method': 'BILINEAR', 'width': 300}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.yolo_v2.darknet_19.pretraining_none": ModelArguments("YOLO v2 - Darknet 19", {'image_detection': {'YOLO_v2': {'net': 31}}}, {'batch_size': 64, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 416, 'resize_method': 'BILINEAR', 'width': 416}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}}),
            "image_detection.yolo_v3.darknet_53.pretraining_none": ModelArguments("YOLO v3 - Darknet 53", {'image_detection': {'YOLO_v3': {'net': 32}}}, {'batch_size': 64, 'classification_loss': {'weighted_sigmoid': {}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 416, 'resize_method': 'BILINEAR', 'width': 416}}, 'initial_learning_rate': 0.01, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}})
        }
    },
    "image_ocr": {
        NetArchitecture.PRETRAINING_NATURAL_RGB: {
            "image_ocr.attentionocr.inception_v3.pretraining_natural_rgb": ModelArguments("AttentionOCR - Inception v3", {'image_ocr': {'AttentionOCR': {'net': 9}}, 'pretrained_weights': 'pretrained_weights/tensorflow/natural_rgb/inception_v3-classification-imagenet2012-2016_08_28.ckpt'}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 32, 'resize_method': 'BILINEAR', 'width': 102}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}})
        },
        NetArchitecture.PRETRAINING_NONE: {
            "image_ocr.attentionocr.inception_v3.pretraining_none": ModelArguments("AttentionOCR - Inception v3", {'image_ocr': {'AttentionOCR': {'net': 9}}}, {'batch_size': 32, 'classification_loss': {'weighted_softmax': {'logit_scale': 1.0}}, 'classification_loss_weight': 1.0, 'data_augmentation_options': [], 'image_resizer': {'fixed_shape_resizer': {'convert_to_grayscale': False, 'height': 32, 'resize_method': 'BILINEAR', 'width': 102}}, 'initial_learning_rate': 0.004, 'learning_rate_policy': {'manual_step_learning_rate': {'schedule': [{'learning_rate_factor': 0.1, 'step_pct': 0.33}, {'learning_rate_factor': 0.01, 'step_pct': 0.66}]}}, 'optimizer': {'momentum_optimizer': {}}})
        }
    }
}
